X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Tried updating to newest firefox but it tells me the file is corrupt. HELP!

Posted

What can I do? I tried both going through firefox and tried downloading from mozilla direct.

Additional System Details

This happened

Not sure how often

This started when...

N/A

Installed Plug-ins

  • Mozilla ActiveX control and plugin module
  • np-mswmp
  • 1.7.0069.2
  • npsnapfish
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • npdivxplayerplugin
  • 12.0.1.609
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealJukebox Netscape Plugin
  • Adobe PDF Plug-In For Firefox and Netscape 8.2.6
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Default Plug-in
  • Shockwave Flash 10.3 r181
  • Adobe Shockwave for Director Netscape plug-in, version 11.5
  • iTunes Detector Plug-in
  • DivX Web Player version 2.1.0.900
  • DivX OVS Helper Plug-in
  • 4.1.10329.0
  • Office Live Update v1.5
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • RealPlayer(tm) HTML5VideoShim Plug-In
  • Rhapsody Player Engine Plugin

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2.17) Gecko/20110420 Firefox/3.6.17 (.NET CLR 3.5.30729)

More Information

N/A

Hasan 477 solutions 5600 answers

Glad to see it finally worked!